Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_FILE Class Reference

Defines the core methods of the abstraction. More...

`#include <FILE.h>`

Inheritance diagram for ACE_FILE

[legend]
Collaboration diagram for ACE_FILE:

[legend]
List of all members.

## Public Methods
int | close (void)
| Close the handle without removing the from the file system.
int | remove (void)
| Close and remove the from the file system.
int | unlink (void)
| Remove the from the file system without closing the handle.
int | get_info (ACE_FILE_Info *finfo)
| Get information on this .
int | get_info (ACE_FILE_Info &finfo)
| Get information on this .
int | truncate (off_t length)
| Set filesize to length byte.
off_t | seek (off_t offset, int whence = SEEK_CUR)
off_t | position (long offset, int startpos)
off_t | tell (void)
| Return an offset for the file handle.
off_t | position (void)
| Same as <tell>, but <position> is deprecated.
int | disable (int signum) const
int | get_local_addr (ACE_Addr &) const
| Return the local endpoint address in the referenced . Returns 0 if successful, else -1.
int | get_remote_addr (ACE_Addr &) const
| Return the same thing as <get_local_addr>.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Methods
| ACE_FILE (void)
| Ensure that this class is only created by the .
## Protected Attributes
ACE_FILE_Addr | addr_
| File we are "connected" with...

## Detailed Description

Defines the core methods of the abstraction.

## Constructor & Destructor Documentation

ACE_FILE::ACE_FILE ( | void )`[protected]`

| Ensure that this class is only created by the .

## Member Function Documentation

int ACE_FILE::close ( | void )

| Close the handle without removing the from the file system.

ASYS_INLINE int ACE_FILE::disable ( | int signum ) const

| Disable signal <signum> This is here to prevent Win32 from disabling SPIPE using socket calls Reimplemented from ACE_IO_SAP.

void ACE_FILE::dump ( | void ) const

| Dump the state of an object. Reimplemented from ACE_IO_SAP. Reimplemented in ACE_FILE_IO.

int ACE_FILE::get_info ( | ACE_FILE_Info & finfo )

| Get information on this .

int ACE_FILE::get_info ( | ACE_FILE_Info * finfo )

| Get information on this .

int ACE_FILE::get_local_addr ( | ACE_Addr & addr ) const

| Return the local endpoint address in the referenced . Returns 0 if successful, else -1.

int ACE_FILE::get_remote_addr ( | ACE_Addr & addr ) const

| Return the same thing as <get_local_addr>.

off_t ACE_FILE::position ( | void )

| Same as <tell>, but <position> is deprecated.

off_t ACE_FILE::position ( | long offset,
| int startpos )

int ACE_FILE::remove ( | void )

| Close and remove the from the file system.

off_t ACE_FILE::seek ( | off_t offset,
| int whence = SEEK_CUR )

| Sets the file pointer as follows: o If <whence> is <SEEK_SET>, the pointer is set to <offset> bytes. o If <whence> is <SEEK_CUR>, the pointer is set to its current location plus <offset>. o If <whence> is <SEEK_END>, the pointer is set to the size of the file plus offset. Same as <seek>, but <position> is deprecated.

off_t ACE_FILE::tell ( | void )

| Return an offset for the file handle.

int ACE_FILE::truncate ( | off_t length )

| Set filesize to length byte.

int ACE_FILE::unlink ( | void )

| Remove the from the file system without closing the handle.

## Member Data Documentation

ACE_FILE::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_IO_SAP. Reimplemented in ACE_FILE_IO.

ACE_FILE_Addr ACE_FILE::addr_`[protected]`

| File we are "connected" with...

The documentation for this class was generated from the following files:

- FILE.h
- FILE.cpp
- FILE.i